Subject: Re: Signal handling bugaboo in command substitution
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 9 Mar 2016 07:37:46 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mar 9,  9:55am, Peter Stephenson wrote:
}
} It occurs to me there's probably still a very thin race associated with
} forking and then calling entersubsh() that may be wider than just this
} case.  We'd need to queue signals before the fork and unqueue them in
} both parent and child at the end of entersubsh().  It might well be more
} trouble than it's worth to fix.

It'd also be wrong -- we don't want both the parent and the child to
handle any queued signal; in the child we'd have to erase the queue,
not just turn off queuing.

There are probably cases where this already could happen if the timing
were right.

Unless somebody comes up with a reproducible (even irregularly so) example,
I think you're right that it's more trouble than worth.